---
updatedAt: 2025-09-24T00:05:01.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List users

Return a list of your users.

> 📘
>
> In production, your IP whitelisting has to be strict enough to access this endpoint (1-1000 IP addresses)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/users": {
      "get": {
        "summary": "List users",
        "description": "Return a list of your users.",
        "operationId": "list-users",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"uuid\": \"d3751ede-cb1e-4d49-bd59-69917021540e\",\n      \"external_user_id\": \"A6JEJIID1919BDS\"\n    },\n    // ...\n  ],\n  \"pagination\": {\n\t\t\"next_uri\": \"/v2/users?after=ZDM3NTFlZGUtY2IxZS00ZDQ5LWJkNTktNjk5MTcwMjE1NDBl&limit=100\"\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/users?limit=100' \\\n  -X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```